using MauiSpark.Views;
namespace MauiSpark.Pages;

public partial class TableauScore : ContentPage
{
    public TableauScore()
    {
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();

        QuandNbCoutMoyenButtonClicked(this, EventArgs.Empty);
    }

    private void QuandNbCoutMoyenButtonClicked(object sender, EventArgs e)
    {
        CTableauScore.UpdateClassement(CTableauScore.GetClassementNbCoupParPartie);
    }

    private void QuandGagneeButtonClicked(object sender, EventArgs e)
    {
        CTableauScore.UpdateClassement(CTableauScore.GetClassementPartieGagnee);
    }

    private void QuandPerduButtonClicked(object sender, EventArgs e)
    {
        CTableauScore.UpdateClassement(CTableauScore.GetClassementPartiePerdue);
    }

    private void QuandEgaliteButtonClicked(object sender, EventArgs e)
    {
        CTableauScore.UpdateClassement(CTableauScore.GetClassementPartieEgalite);
    }

    private void QuandAlphabetButtonClicked(object sender, EventArgs e)
    {
        CTableauScore.UpdateClassement(CTableauScore.GetClassementAlphabet);
    }
}